Subject: Southern Zone 9 - Dogwood?

From: [email-masked] (Cymraes224)
Date: 4 Apr 1995 08:47:44 -0400

I'm a native North Carolinian trying to garden in Sarasota Florida.  So
many of the plants I grew up with won't grow well here, at least that's
what I'm told.  I don't want to be one of those gardeners who grow things
unsuited for an area and am about to give up on the idea of trying to
plant a dogwood (c. florida - the white flowering dogwood).  The nurseries
don't carry it and they don't grow wild, so I guess you'll tell me to
forget it.  I do have a wonderfully shaded spot on the north side of my
house that is shaded by a beautiful ancient oak.  Any chance it would grow
there?  I appreciate any suggestions.  Kate    [email-masked].